try:
    from Interface import Interface
    from Interface.Attribute import Attribute
except:
    from zope.interface import Interface, Attribute


class IXMLRPCClient(Interface):
  """ An XML-RPC CLient Class """

  id         = Attribute('Id of the XML-RPC Client')
  title      = Attribute('Title of the XML-RPC Client')
  address    = Attribute('IP or Domain name of XML-RPC Server')
  port       = Attribute('Port number of XML-RPC Server')
  user       = Attribute('User name for Basic Auth')
  password   = Attribute('Password for Basic Auth')
  uri        = Attribute('URI component')
  serverPath = Attribute('Full path to the XML-RPC Server')

  def browse(self):
    """ Browse the server's exposed methods """

  def callMethod(self, method, *args):
    """ Call an exposed method of the server and return the response """
